#pragma once
#include "Block.h"
#include "Utils.h"

class FleeManager{
private:
	std::set<Block*> blocks;
public:
	FleeManager();
	// getters
	std::set<Block*> getBlocks();

	Block* getBestBlock();
	void erase(Block *b);
	void updateBlocks(BWAPI::Unit u);
	void updateEnemy(BWAPI::Unit foe);
	bool checkCorners(int i, int j, BWAPI::Unit u);
	void insertBlock(int i, int j, BWAPI::Unit u);
};